Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`logger`.`FileLogObserver``

class documentation

`class FileLogObserver: (source)`

Constructor: `FileLogObserver(outFile, formatEvent)`

Implements interfaces: `twisted.logger.ILogObserver`

View In Hierarchy

Log observer that writes to a file-like object.

Method | `__call__` | Write event to file.
Method | `__init__` | No summary
Instance Variable | `formatEvent` | Undocumented
Instance Variable | `_encoding` | Undocumented
Instance Variable | `_outFile` | Undocumented

def __call__(self, event: `LogEvent`): (source)
from `twisted.logger.ILogObserver`

Write event to file.

Parameters
event:`LogEvent` | An event.

def __init__(self, outFile: `IO[Any]`, formatEvent: `Callable[[LogEvent], Optional[str]]`): (source)

Parameters
outFile:`IO[Any]` | A file-like object. Ideally one should be passed which accepts text data. Otherwise, UTF-8 `bytes` will be used.
formatEvent:`Callable[[LogEvent], Optional[str]]` | A callable that formats an event.

formatEvent = (source)

Undocumented

_encoding: `Optional[str]` = (source)

Undocumented

_outFile = (source)

Undocumented